NodeRings Docs

Get Node CPUMap

Dedicated CPU cores: full topology + per-CPU occupancy for the node topology board (docs/README-DEDICATED-CPU-CORES.md §6.3/§8.3).

GET
/v1/node/{id}/cpu-map
Authorization<token>

Bearer token

In: header

X-Organization-ID<token>

Tenant or organization identifier

In: header

Path Parameters

idstring

Response Body

application/json

curl -X GET "https://api.nrings.io/v1/node/{id}/cpu-map" \  -H "Authorization: Bearer {your_token}" \  -H "X-Organization-ID: {your_org_id}"
{
  "computeType": "NODE_COMPUTE_TYPE_UNSPECIFIED",
  "modelName": "string",
  "sockets": 0,
  "threadsPerCore": 0,
  "physicalCores": 0,
  "logicalCpus": 0,
  "smtEnabled": true,
  "numaNodes": [
    {
      "id": 0,
      "sockets": [
        0
      ],
      "memoryMb": "string",
      "memoryReservedMb": "string",
      "memoryAllocatedMb": "string",
      "memoryFreeMb": "string",
      "totalCores": 0,
      "freeCores": 0,
      "memoryEstimated": true
    }
  ],
  "cpus": [
    {
      "cpu": 0,
      "core": 0,
      "socket": 0,
      "numa": 0,
      "siblings": [
        0
      ],
      "cpuStatus": "NODE_CPU_STATUS_UNSPECIFIED",
      "vmId": "string",
      "vmHostname": "string"
    }
  ],
  "topologyCollectedAt": "string"
}